Bug 1279755 - Review Request: rubygem-racc - LALR(1) parser generator
Review Request: rubygem-racc - LALR(1) parser generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 03:41 EST by Mamoru TASAKA
Modified: 2016-02-15 23:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 23:34:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2015-11-10 03:41:42 EST
Spec URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-racc.spec
SRPM URL: https://mtasaka.fedorapeople.org/Review_request/gem-related/rubygem-racc-1.4.13-1.fc24.src.rpm
Description: 
Racc is a LALR(1) parser generator.
It is written in Ruby itself, and generates Ruby program.

Fedora Account System Username: mtasaka
Comment 1 Steve Traylen 2015-12-03 04:18:43 EST
Just curios, the %{nil} in the for loop is just to make future diffs clean
or something else?

The LICENSE is seems confused

https://github.com/tenderlove/racc/blob/master/Rakefile#L20

is MIT.


https://github.com/tenderlove/racc/blob/master/README.rdoc
is GPL v2

and finally
https://github.com/tenderlove/racc/blob/master/COPYING
is GPL v2+

The .spec file has

 LGPLv2 and (Ruby or GPLv2)

Other than that it's all looking very simple.
Comment 2 Mamoru TASAKA 2015-12-06 03:05:23 EST
Hello. First, thank you for comments!

(In reply to Steve Traylen from comment #1)
> Just curios, the %{nil} in the for loop is just to make future diffs clean
> or something else?

Yes (to make future diffs clean)

> The LICENSE is seems confused
> 
> https://github.com/tenderlove/racc/blob/master/Rakefile#L20
> is MIT.
  Rakefile is just as "Makefile" and usually we don't take this
  into account with regard to license tag.

> https://github.com/tenderlove/racc/blob/master/README.rdoc
> is GPL v2
  This is LGPLv2 (GNU "Lesser")
> 
> and finally
> https://github.com/tenderlove/racc/blob/master/COPYING
> is GPL v2+
  This is also LGPLv2 (GNU "Lesser")
> 
> The .spec file has
>  LGPLv2 and (Ruby or GPLv2)
So license file and README.rdoc says this is LGPLv2, however
some files are under old ruby license (which is under "Ruby"
and GPLv2, e.g. ext/racc/cparse.c), so this should be
LGPLv2 and (GPLv2 or Ruby)
Comment 4 Mamoru TASAKA 2015-12-13 02:00:02 EST
ping?
Comment 5 Mamoru TASAKA 2015-12-20 07:39:47 EST
Ping again?
Comment 6 Mamoru TASAKA 2016-01-05 22:23:32 EST
Ping again?
Comment 7 Mamoru TASAKA 2016-01-14 10:36:54 EST
Revoking assignee due to lack of response for a month.
Comment 8 greg.hellings 2016-01-24 09:50:42 EST
Taking for review.
Comment 9 greg.hellings 2016-01-24 10:52:13 EST
$ rpmlint rubygem-racc.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ./rubygem-racc-1.4.14-1.fc.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/rubygem-racc-1.4.14-1.fc24.x86_64.rpm 
rubygem-racc.x86_64: E: zero-length /usr/lib64/gems/ruby/racc-1.4.14/gem.build_complete
rubygem-racc.x86_64: E: incorrect-fsf-address /usr/share/gems/gems/racc-1.4.14/COPYING
rubygem-racc.x86_64: W: no-manual-page-for-binary racc2y
rubygem-racc.x86_64: W: no-manual-page-for-binary racc
rubygem-racc.x86_64: W: no-manual-page-for-binary y2racc
1 packages and 0 specfiles checked; 2 errors, 3 warnings.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/rubygem-racc-debuginfo-1.4.14-1.fc24.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/rubygem-racc-doc-1.4.14-1.fc24.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ md5sum racc-1.4.14.gem 
ec1c3738429842b7ff1f2f4f52b7e6cc  racc-1.4.14.gem

$ wget -q -O - https://rubygems.org/gems/racc-1.4.14.gem | md5sum
ec1c3738429842b7ff1f2f4f52b7e6cc  -

[+] The package must be named according to the Package Naming Guidelines .
[+] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
[+] The package must meet the Packaging Guidelines .
[+] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] The License field in the package spec file must match the actual license.
[+] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] The spec file must be written in American English.
[+] The spec file for the package MUST be legible.
[+] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[+] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] Packages must NOT bundle copies of system libraries.
[+] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] Each package must consistently use macros.
[+] The package must contain code, or permissable content.
[+] Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[+] Static libraries must be in a -static package.
[+] Development files must be in a -devel package.
[+] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] All filenames in rpm packages must be valid UTF-8.


SUMMARY:
The incorrect FSF address should be passed upstream so they can update that in their sources. Otherwse
Packaging: approved
Comment 10 Mamoru TASAKA 2016-01-26 05:01:57 EST
Thank you!
Comment 11 Gwyn Ciesla 2016-01-26 10:52:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-racc
Comment 12 Mamoru TASAKA 2016-02-15 23:34:44 EST
Already pushed into repository, closing. Thank you for review.

Note You need to log in before you can comment on or make changes to this bug.